Name:       ibus-table
Version:    1.2.0.20091014
Release:    2%{?dist}
Summary:    The Table engine for IBus platform
License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
#Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source0:    http://ibus.googlecode.com/files/%{name}-1.2.0.20090902.tar.gz
#Patch0:     ibus-table-1.2.0.20090912-2.parse_eq_sign.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
BuildRequires:  ibus-devel > 1.2
Requires:   ibus > 1.2

%description
The package contains general Table engine for IBus platform.

%package additional
Summary:    Additional tables for general table engine of IBus
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description additional
This package contains additional tables.

%prep
%setup0 -q -n %{name}-1.2.0.20090902
#%patch0 -p1 -b .1-parse_eq_sign

%build
%configure --disable-static --enable-additional
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install pkgconfigdir=%{_datadir}/pkgconfig

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post additional
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/compose.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/latex.db

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/engine
%dir %{_datadir}/%{name}/tables
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/data
%{_datadir}/ibus/component/table.xml
%{_datadir}/pkgconfig/%{name}.pc
%{_libexecdir}/ibus-engine-table
%{_bindir}/%{name}-createdb
%{_datadir}/%{name}/tables/template.txt
%{_datadir}/%{name}/icons/%{name}.svg
%{_datadir}/%{name}/icons/full-letter.svg
%{_datadir}/%{name}/icons/full-punct.svg
%{_datadir}/%{name}/icons/half-letter.svg
%{_datadir}/%{name}/icons/half-punct.svg
%{_datadir}/%{name}/icons/onechar.svg
%{_datadir}/%{name}/icons/phrase.svg
%{_datadir}/%{name}/icons/py-mode.svg
%{_datadir}/%{name}/icons/tab-mode.svg
%{_datadir}/%{name}/icons/chinese.svg
%{_datadir}/%{name}/icons/acommit.svg
%{_datadir}/%{name}/icons/english.svg
%{_datadir}/%{name}/icons/ncommit.svg
%{_datadir}/%{name}/data/pinyin_table.txt.bz2
%{_datadir}/%{name}/engine/factory.py
%{_datadir}/%{name}/engine/factory.pyc
%{_datadir}/%{name}/engine/factory.pyo
%{_datadir}/%{name}/engine/main.py
%{_datadir}/%{name}/engine/main.pyc
%{_datadir}/%{name}/engine/main.pyo
%{_datadir}/%{name}/engine/tabcreatedb.py
%{_datadir}/%{name}/engine/tabcreatedb.pyc
%{_datadir}/%{name}/engine/tabcreatedb.pyo
%{_datadir}/%{name}/engine/tabdict.py
%{_datadir}/%{name}/engine/tabdict.pyc
%{_datadir}/%{name}/engine/tabdict.pyo
%{_datadir}/%{name}/engine/table.py
%{_datadir}/%{name}/engine/table.pyc
%{_datadir}/%{name}/engine/table.pyo
%{_datadir}/%{name}/engine/tabsqlitedb.py
%{_datadir}/%{name}/engine/tabsqlitedb.pyc
%{_datadir}/%{name}/engine/tabsqlitedb.pyo
%{_datadir}/%{name}/icons/cb-mode.svg
%{_datadir}/%{name}/icons/sc-mode.svg
%{_datadir}/%{name}/icons/scb-mode.svg
%{_datadir}/%{name}/icons/tc-mode.svg
%{_datadir}/%{name}/icons/tcb-mode.svg
%{_datadir}/%{name}/meter/speedmeter.py
%{_datadir}/%{name}/meter/speedmeter.pyc
%{_datadir}/%{name}/meter/speedmeter.pyo
# only in 1.2.0.20090902
%{_libexecdir}/ibus-setup-table
%{_libexecdir}/ibus-table-meter
%{_datadir}/ibus-table/engine/KeyEvent.py
%{_datadir}/ibus-table/engine/KeyEvent.pyc
%{_datadir}/ibus-table/engine/KeyEvent.pyo
%{_datadir}/ibus-table/engine/editor.py
%{_datadir}/ibus-table/engine/editor.pyc
%{_datadir}/ibus-table/engine/editor.pyo
%{_datadir}/ibus-table/setup/main.py
%{_datadir}/ibus-table/setup/main.pyc
%{_datadir}/ibus-table/setup/main.pyo
%{_datadir}/ibus-table/setup/setup.glade

%files additional
%defattr(-,root,root,-)
%{_datadir}/%{name}/tables/compose.db
%{_datadir}/%{name}/tables/latex.db
%{_datadir}/%{name}/icons/compose.svg
%{_datadir}/%{name}/icons/latex.svg

%changelog
* Mon Oct 19 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20091014-2.fc11
- Fixed unresolved deps.

* Wed Oct 14 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20091014-1.fc11
- Regression of crashing. Rollback to 1.2.0.20090912.

* Tue Oct 06 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090912-2.fc11
- IBus #564 - Fixed parsing equal sign.

* Wed Sep 30 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090912-1.fc11
- Rebuilt with IBus 1.2.

* Tue Jun 16 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090609-1.fc11
- Resolves: rhbz#505700 (Cannout input CangJie and Quick.)

* Wed May 27 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090527-1.fc11
- Updated source tarball from upstream, which with candidate order fix.

* Mon Mar 16 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-1.fc11
- Resolves: rhbz#490396
- Updated source tarball.
- Disabled speedmeter until config option is implemented.

* Fri Mar  6 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090220-5
- make pkgconfig noarch with ibus-table-pkgconfig-noarch.patch
- fix license field: actually LGPL
- drop gettext-devel BR
- require ibus > 1.1.0

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-4.fc11
- Rebuilt.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-3.fc11
- Rebuilt.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-2.fc11
- Rebuilt.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-1.fc11
- Resolves: rhbz#484650
- Updated to latest upstream release.
- Splitted chinese input methods into modules.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1.20081014-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Caius Chance <cchance@redhat.com> - 0.1.1.20081014-4
- Resolves: rhbz#466430 rhbz#466844
- Added wildcard features.
- Added preedit clearance on refocus.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.1.20081014-3
- Rebuild for Python 2.6

* Mon Dec 1 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20081014-2
- Modified spec file to own all directories created by ibus-table.

* Fri Oct 14 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20081014-1
- Update to 0.1.1.20081014.

* Mon Sep 01 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20080901-1
- Update to 0.1.1.20080901.

* Wed Aug 19 2008 Yu Yuwei <acevery@gmail.com> - 0.1.1.20080829-1
- The first version.
